#
# spec file for package patterns-container
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           patterns-container
VCS: https://src.suse.de/ALP-pool/patterns-container#9a470ba7aee120c4ba2db0ea4a48587188a7034b
Version:        0.1
Release:        1.1
Summary:        Patterns for SUSE Linux Framework One
License:        MIT
Group:          Metapackages
URL:            http://en.opensuse.org/Patterns
Source0:        %name.rpmlintrc
ExclusiveArch:  x86_64 %arm32 aarch64 ppc64le s390x riscv64

%description
This is an internal package that is used to create the patterns as part
of the installation source setup. Installation of this package does
not make sense.

%package runtime_podman
Summary:        SUSE podman runtime pattern
Group:          Metapackages
Provides:       pattern() = container_runtime_podman
Provides:       pattern-category() = SLFO
Provides:       pattern-icon() = pattern-kubic
Provides:       pattern-order() = 9020
Obsoletes:      patterns-microos-container_runtime
Provides:       patterns-microos-container_runtime
Requires:       podman
Requires:       netavark
Requires:       aardvark-dns
%if !0%{?is_opensuse}
Requires:       libcontainers-sles-mounts
%endif

%description runtime_podman
This provides default podman installation on SUSE Linux Framework One

%package runtime_docker
Summary:        SUSE Docker runtime support
Group:          Metapackages
Provides:       pattern() = container_runtime_docker
Provides:       pattern-category() = SLFO
Provides:       pattern-icon() = pattern-kubic
Provides:       pattern-order() = 9030
Provides:       pattern-visible()
Requires:       docker
%if !0%{?is_opensuse}
Requires:       libcontainers-sles-mounts
%endif

%description runtime_docker
This provides default Docker installation on SUSE Linux Framework One

%prep
# empty on purpose

%build
# empty on purpose

%install
mkdir -p %{buildroot}%{_docdir}/patterns-container/
PATTERNS='
    runtime_podman runtime_docker
'
for i in $PATTERNS; do
    echo "This file marks the pattern $i to be installed." \
        > %{buildroot}%{_docdir}/patterns-container/${i}.txt
done

%files runtime_podman
%dir %{_docdir}/patterns-container
%{_docdir}/patterns-container/runtime_podman.txt

%files runtime_docker
%dir %{_docdir}/patterns-container
%{_docdir}/patterns-container/runtime_docker.txt

%changelog
* Tue Dec 19 2023 jsrain@suse.com
- add obsolete for microos patterns
* Mon Nov 27 2023 jsrain@suse.com
- added missing libcontainers-sles-mounts (bsc#1216443)
* Thu Jun 15 2023 jsrain@suse.com
- initial version
